Bug 833099 - 3.1 - [Storage] engine should do reconstruct master to take care the situation when the metadata is corrupted and vdsm sends to engine "general" exception.
3.1 - [Storage] engine should do reconstruct master to take care the situa...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Eduardo Warszawski
Gadi Ickowicz
Storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 11:04 EDT by Leonid Natapov
Modified: 2014-08-21 21:40 EDT (History)
14 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-26.0
Doc Type: Bug Fix
Doc Text:
In an earlier version of Red Hat Enterprise Virtualization, sometimes metadata on a host became corrupted and VDSM sent the engine a "general" exception. The pool SPM ID value was incorrectly set to "None". When this happened, VDSM threw a general exception saying "MetaDataParamError: Meta Data parameter invalid: ('Version or spm id invalid')". Now when this happens, the engine reconstructs the master. This repairs the metadata.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:00:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (201.90 KB, application/octet-stream)
2012-06-18 11:05 EDT, Leonid Natapov
no flags Details
engine log (310.54 KB, application/octet-stream)
2012-06-18 11:05 EDT, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2012-06-18 11:04:49 EDT
[Storage] Engine should  do reconstruct  master  to take care the situation when the metadata is corrupted and vdsm sends to engine "general" exception. 
We have situation when metadata file on a host got corrupted. Pool SPM ID value is 'None' (which is wrong) in metadata file.
In this case vdsm troughs general exception saying MetaDataParamError: Meta Data parameter invalid: ('Version or spm id invalid',).In such a case engine should do reconstruct master in order to fix the metadata.

log files are attached.
Comment 1 Leonid Natapov 2012-06-18 11:05:13 EDT
Created attachment 592683 [details]
vdsm log
Comment 2 Leonid Natapov 2012-06-18 11:05:37 EDT
Created attachment 592684 [details]
engine log
Comment 3 mkublin 2012-06-25 02:52:15 EDT
Moving to vdsm, vdsm should provide appropriate error message
Comment 4 Ayal Baron 2012-06-25 02:55:44 EDT
(In reply to comment #3)
> Moving to vdsm, vdsm should provide appropriate error message

ack
Comment 6 Eduardo Warszawski 2012-07-09 13:19:45 EDT
http://gerrit.ovirt.org/#/c/6083/
Comment 7 Haim 2012-08-05 07:59:54 EDT
set on verify on behalf of gickowic@redhat.com

only with single host, 2 domains.

vdsm-4.9.6-26.0.el6_3.x86_64
Comment 10 errata-xmlrpc 2012-12-04 14:00:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.